> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Aliases

> Retrieves a list of aliases for the authenticated User or Team. When domain is provided, only aliases for that domain will be returned. When projectId is provided, it will only return the given project aliases.



## OpenAPI

````yaml Get /aliases
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /aliases:
    get:
      tags:
        - aliases
      parameters:
        - schema:
            type: string
            description: Filter aliases from the given projectId
            query:
              name: projectId
              in: query
            example: prj_12HKQaOmR5t5Uy6vdcQsNIiZgHGB
          required: false
          name: projectId
          in: query
        - schema:
            type: string
            description: >-
              The Team identifier or Team slug to perform the request on behalf
              of.
            query:
              name: teamId
              in: query
            example: team_xbtegd63gdg5636gdg
          required: true
          name: teamId
          in: query
        - schema:
            type: integer
            description: Maximum number of aliases to list from a request
            query:
              name: limit
              in: query
            example: 20
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            description: Get aliases created after this JavaScript timestamp
            query:
              name: since
              in: query
            example: '1540095775941'
          required: false
          name: since
          in: query
        - schema:
            type: integer
            description: Get aliases created before this JavaScript timestamp
            query:
              name: until
              in: query
            example: '1540095775941'
          required: false
          name: until
          in: query
      responses:
        '200':
          description: The paginated list of aliases
          content:
            application/json:
              schema:
                type: object
                properties:
                  aliases:
                    type: array
                    items:
                      $ref: '#/components/schemas/Alias'
                  pagination:
                    type: object
                    properties:
                      count:
                        type: number
                        description: Amount of items in the current page.
                        example: 20
                      next:
                        type:
                          - number
                          - 'null'
                        description: Timestamp that must be used to request the next page.
                        example: 1540095775951
                      prev:
                        type:
                          - number
                          - 'null'
                        description: >-
                          Timestamp that must be used to request the previous
                          page.
                        example: 1540095775951
                    required:
                      - count
                      - next
                      - prev
                    description: >-
                      This object contains information related to the pagination
                      of the current request, including the necessary parameters
                      to get the next or previous page of data.
                    title: Pagination
                required:
                  - aliases
                  - pagination
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
components:
  schemas:
    Alias:
      type: object
      properties:
        id:
          type: number
        teamId:
          type:
            - string
            - 'null'
        alias:
          type: string
        domain:
          type: string
        zoneId:
          type: string
        target:
          type: string
        redirect:
          type:
            - string
            - 'null'
        redirectStatusCode:
          type:
            - number
            - 'null'
        createdAt:
          type: number
        updatedAt:
          type: number
        createdBy:
          type:
            - number
            - 'null'
        deploymentId:
          type: string
        projectId:
          type: string
      required:
        - id
        - teamId
        - alias
        - domain
        - zoneId
        - target
        - redirect
        - redirectStatusCode
        - createdAt
        - updatedAt
        - createdBy
        - deploymentId
        - projectId
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````